Add tags to contact
curl --request POST \
--url https://api.clientcommander.com/v1/people/{id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"VIP",
"Hot Lead"
]
}
'import requests
url = "https://api.clientcommander.com/v1/people/{id}/tags"
payload = { "tags": ["VIP", "Hot Lead"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['VIP', 'Hot Lead']})
};
fetch('https://api.clientcommander.com/v1/people/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"data": {
"count": 123,
"person": {
"id": "jd79abc123def",
"firstName": "John",
"lastName": "Doe",
"fullName": "John Doe",
"createdAt": "2023-11-15T10:00:00Z",
"emails": [
{
"value": "john@example.com",
"type": "work",
"isPrimary": false
}
],
"phones": [
{
"value": "+15551234567",
"type": "mobile",
"status": "Valid",
"isPrimary": true,
"isBad": true
}
],
"assignedAgentId": "<string>",
"assignedAgentName": "Jane Smith",
"assignedAgentEmail": "jsmith@example.com",
"stageId": "<string>",
"stageName": "Lead",
"source": "Website Signup",
"tags": "VIP, Hot Lead, Referral",
"price": 450000,
"timeframe": "3-6 months",
"background": "<string>",
"relationship": false,
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "Missing required parameter",
"details": [
{
"field": "personId",
"message": "Required field is missing",
"code": "REQUIRED_FIELD"
}
],
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "You do not have permission to access this resource",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2023-11-15T10:00:00Z"
}
}People
Add Contact Tags
Add one or more tags to a contact. Tags are created automatically if they don’t exist.
Auto-Create: Non-existent tags are automatically created. Deduplication: Duplicate tags are ignored.
POST
/
v1
/
people
/
{id}
/
tags
Add tags to contact
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Path Parameters
Contact ID
Pattern:
^[a-zA-Z0-9_-]{8,}$Body
application/json
Required array length:
1 - 20 elementsRequired string length:
1 - 50Example:
["VIP", "Hot Lead"]
⌘I

